Look up a pass by scanned payload
curl --request GET \
--url https://api.passlet.io/v1/scans/lookup \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.passlet.io/v1/scans/lookup"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.passlet.io/v1/scans/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pass": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalPassId": "<string>",
"label": "<string>",
"version": 123,
"templateVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variables": {},
"redemption": {
"windows": [
{
"start": "<string>",
"end": "<string>",
"maxUses": 50000
}
],
"maxUses": 50000,
"perPeriod": {
"count": 50000,
"timezone": "<string>"
},
"minIntervalMinutes": 263520,
"activation": {
"basis": "<string>",
"validForHours": 43920
}
},
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}scans
Look up a pass by scanned payload
Resolves a scanned barcode payload to its pass through the same identifier resolution scan recording uses (signed pass tokens, registered barcode values, wallet serials) — without recording a scan. Returns 404 when nothing matches and 409 when the payload is shared by multiple passes.
Requires the passes:read scope on the access token.
GET
/
v1
/
scans
/
lookup
Look up a pass by scanned payload
Authorizations
Passlet access token (plt_*) sent as Authorization: Bearer <token> or X-API-Key. Authorized scopes are listed per operation under x-required-scopes.
Query Parameters
Scanned barcode payload to resolve
Required string length:
1 - 4096Restrict resolution to one project
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
OK
Show child attributes
Show child attributes
⌘I